<?php
session_start();
require('../cfg/res.php');
require('../cfg/cfg.php');
include('php_gene1.php');
include('php_session.php');

$xvalid=1;

// $sql_valid='select * from enti0 where enti_pspt like "'.$_POST['pspt'].'"';
// $res_valid=mysql_query($sql_valid,$link_vcrx);
// if(mysql_num_rows($res_valid)>0){$xvalid=0;}

$user_cedula=r_fiel('user',$user_codigo,'cedula');

$ci=$_POST['ci'];

$enti_sql='insert into enti0(enti_codigo,enti_idate,enti_iuser)values("'.$_POST['ci'].'",NOW(),"'.$_SESSION['user_vcrx_id'].'")';
echo '<resultado>';
//if(!mysql_query($enti_sql,$link_vcrx)){ echo '<error1>'.mysql_error($link_vcrx).'-</error1>'; }
if(mysql_query($enti_sql,$link_vcrx)){ echo '<error1>Se Registro con Exito</error1>'; }

// echo '*/*/*/*'.$user_tipo;

if(empty($_POST['ci'])){$ci=$user_cedula;}
// if ( !mb_stristr('admi.sist.supe',strtolower($_SESSION['user_vcrx_tipo'])) ) {$ci=$_SESSION['user_vcrx_id'];}
if ( !mb_stristr('admi.sist.supe',strtolower($user_tipo))){$ci=$user_cedula;}
if ( !mb_stristr('admi.sist.supe',strtolower($user_tipo)) && empty($_SESSION['user_vcrx_id']) ) {die('<error4>Sesion Expiro</error4></resultado>');}

$nom1=$_POST['n1'];
$nom2=$_POST['n2'];
$ape1=$_POST['a1'];
$ape2=$_POST['a2'];
$matriz=$_POST['matriz'];
$parroq=$_POST['parroq'];
$calle1=$_POST['calle1'];
$calle2=$_POST['calle2'];
$calle3=$_POST['calle3'];
$callen=intval ($_POST['callen']);
$telefono=$_POST['telefono'];
$email=$_POST['email'];
$emailce=$_POST['emailce'];
$razsoc=$_POST['rs'];
$nomcom=$_POST['nc'];

$xdescri=$razsoc;
if(mb_stristr('012345',substr($ci,2,1) ))
{$xdescri=$ape1.' '.$ape2.' '.$nom1.' '.$nom2;}
else
{$xdescri=$razsoc;}

$xdescri=trim($xdescri);
$razsoc=trim($razsoc);
$nomcom=trim($nomcom);

if($razsoc==""){$razsoc=$ape1.' '.$ape2.' '.$nom1.' '.$nom2;}
if($nomcom==""){$nomcom=$ape1.' '.$ape2.' '.$nom1.' '.$nom2;}
if($nomcom==""){$nomcom=$razsoc;}
if($xdescri==""){$xdescri=$razsoc;}
if(substr($ci,0,2)=='99'){$xdescri=$nomcom;}

// $calle1=$_POST['c12'];
// $calle2=$_POST['c22'];
// $calle3=$_POST['c32'];
// $callen=$_POST['cn2'];
$xdireccion='';
if($calle1!='')
{$xdireccion = $calle1.' ('.$callen.') '.$calle2.' /'.$calle3;}

$sql_upe='update enti0 set ';
$sql_upe.='enti_nom1="'.$nom1.'",';
$sql_upe.='enti_nom2="'.$nom2.'",';
$sql_upe.='enti_ape1="'.$ape1.'",';
$sql_upe.='enti_ape2="'.$ape2.'",';
$sql_upe.='enti_matriz="'.$matriz.'",';
// $sql_upe.='enti_parroq="'.$parroq.'",';
$sql_upe.='enti_calle1="'.$calle1.'",';
$sql_upe.='enti_calle2="'.$calle2.'",';
$sql_upe.='enti_calle3="'.$calle3.'",';
$sql_upe.='enti_callen="'.$callen.'",';
$sql_upe.='enti_telefono="'.$telefono.'",';
$sql_upe.='enti_email="'.$email.'",';
$sql_upe.='enti_emailce="'.$emailce.'",';
$sql_upe.='enti_calle1="'.$calle1.'",';
$sql_upe.='enti_calle2="'.$calle2.'",';
$sql_upe.='enti_calle3="'.$calle3.'",';
$sql_upe.='enti_callen="'.$callen.'",';
// $sql_upe.='enti_email="'.$_POST['email2'].'",';
// $sql_upe.='enti_telefono="'.$_POST['tel2'].'",';
$sql_upe.='enti_pais="'.$_POST['pais'].'",';
$sql_upe.='enti_ciudad="'.$_POST['ciudad'].'",';
$sql_upe.='enti_provincia="'.$_POST['provincia'].'",';
$sql_upe.='enti_cdad="'.$_POST['cdad'].'",';
$sql_upe.='enti_nickname="'.$_POST['nik'].'",';
$sql_upe.='enti_fechanac="'.$_POST['fn'].'",';
$sql_upe.='enti_fechaini="'.$_POST['fi'].'",';
$sql_upe.='enti_sexo="'.$_POST['sexo'].'",';
$sql_upe.='enti_tpro="'.$_POST['tpro'].'",';
$sql_upe.='enti_zsub="'.$_POST['zsub'].'",';
$sql_upe.='enti_csub="'.$_POST['csub'].'",';
$sql_upe.='enti_cargo="'.$_POST['cargo'].'",';
$sql_upe.='enti_dcto="'.$_POST['dcto'].'",';
$sql_upe.='enti_comi="'.$_POST['comi'].'",';
$sql_upe.='enti_vndd="'.$_POST['vndd'].'",';
$sql_upe.='enti_rcdd="'.$_POST['rcdd'].'",';
$sql_upe.='enti_pasaporte="'.$_POST['pspt'].'",';
$sql_upe.='enti_idexterior="'.$_POST['idex'].'",';
$sql_upe.='enti_conadis="'.$_POST['conadis'].'",';
$sql_upe.='enti_factura="'.$_POST['factura'].'",';
$sql_upe.='enti_nomcom="'.$nomcom.'",';
$sql_upe.='enti_razsoc="'.$razsoc.'",';
$sql_upe.='enti_descri="'.$xdescri.'",';
$sql_upe.='enti_direccion="'.$xdireccion.'",';

// $sql_upe.='enti_zsub="'.$_POST['zsub'].'",';
// $sql_upe.='enti_vndd="'.$_POST['vndd'].'",';
// $sql_upe.='enti_rcdd="'.$_POST['rcdd'].'",';

$sql_upe.='enti_struc="'.$_POST['struc'].'"';
$sql_upe.='where enti_codigo="'.$ci.'"';

// echo '/*/*/*/'.$sql_upe;
if(!mysql_query($sql_upe,$link_vcrx)){ echo '<error2>'.mysql_error($link_vcrx).'+</error2>';}

// echo $sql_upe;

$sql_upe='update enti0 set enti_descri="'.$xdescri.'" where enti_codigo="'.$ci.'"';
if(!mysql_query($sql_upe,$link_vcrx)){ echo '<error2>'.mysql_error($link_vcrx).'+</error2>';}

$sql_upe='update enti0 set enti_dcto="'.$_POST['dcto'].'" where enti_codigo like "'.substr($ci,0,10).'%"';
if(!mysql_query($sql_upe,$link_vcrx)){ echo '<error2>'.mysql_error($link_vcrx).'+</error2>';}

$sql_upe='update enti0 set ';
if(mb_stristr('gnya.demo.leie',$empr_codigo))
{
	if(empty($_POST['ref'])){$_POST['ref']=$empr_ruc;}
	$sql_upe.=' enti_referidox="'.$_POST['ref'].'",';
}
$sql_upe.=' enti_descri=enti_descri ';
$sql_upe.= ' where enti_codigo="'.$ci.'"';

// echo '*/*/'.$mysql_error();

if(!mysql_query($sql_upe,$link_vcrx)){ echo '<error2>'.mysql_error($link_vcrx).'+</error2>';}

// if(!empty($_POST['tel2']) ||  !empty($_POST['email2']) || !empty($_POST['contacto2']) )
$vadrs=$_POST['c12'].$_POST['tel2'].$_POST['email2'];
if(!empty($vadrs) and 1==2 )
{
	$sql_indrtr='insert into adrs0 (
	adrs_enti,
	adrs_tlfn,
	adrs_ext,
	adrs_contacto,
	adrs_calle1,
	adrs_calle2,
	adrs_calle3,
	adrs_callen,
	adrs_cdad,
	adrs_email,
	adrs_iuser,
	adrs_idate,
	adrs_status
	)
	values(
	"'.$user_cedula.'",
	"'.$_POST['tel2'].'",
	"'.$_POST['ext2'].'",
	"'.$_POST['contacto2'].'",
	"'.$_POST['c12'].'",
	"'.$_POST['c22'].'",
	"'.$_POST['c32'].'",
	"'.$_POST['cn2'].'",
	"'.$_POST['cdad'].'",
	"'.$_POST['email2'].'",
	"'.$_SESSION['user_vcrx_id'].'",
	NOW(),"-"
	)';
	//echo $sql_indrtr;
	if(!mysql_query($sql_indrtr,$link_vcrx)){	echo '<error3>'.mysql_error($link_vcrx).$sql_indrtr.'</error3>';}
}


if($empr_codigo!='demo'){ mysql_select_db('vcrxol_demo',$link_vcrx); mysql_query($enti_sql,$link_vcrx); }
echo '</resultado>';
?>
